# AIVehicleList_DefaultGroup Class Reference
[Classes that create a list of items.]

Creates a list of vehicles that are in the default group. More...

`#include <ai_vehiclelist.hpp>`

Inheritance diagram for AIVehicleList_DefaultGroup:

## Public Member Functions
| AIVehicleList_DefaultGroup (AIVehicle::VehicleType vehicle_type)
## Static Public Member Functions
static const char * | GetClassName ()

## Detailed Description

Creates a list of vehicles that are in the default group.

Definition at line 67 of file ai_vehiclelist.hpp.

## Constructor & Destructor Documentation

AIVehicleList_DefaultGroup::AIVehicleList_DefaultGroup | ( | AIVehicle::VehicleType | vehicle_type | ) |

Parameters:

  | vehicle_type | The VehicleType to get the list of vehicles for.

Definition at line 60 of file ai_vehiclelist.cpp.

References AIAbstractList::AddItem(), AIGroup::GROUP_DEFAULT, and AIVehicle::VT_AIR.

The documentation for this class was generated from the following files:

- src/ai/api/ai_vehiclelist.hpp
- src/ai/api/ai_vehiclelist.cpp